com.trendmicro.ds.platform.rest.object.scheduledtask

## Class ScheduledTask

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.scheduledtask.ScheduledTask

-     public class ScheduledTask
      extends java.lang.Object

  Details of a scheduled task.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ScheduledTask.Type` Scheduled Task Type.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScheduledTask()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BackupTaskParameters` | `getBackupTaskParameters()` Get the backup task parameters.
    `CheckForSecurityUpdatesTaskParameters` | `getCheckForSecurityUpdatesTaskParameters()` Get the check for security updates task parameters.
    `DiscoverComputersTaskParameters` | `getDiscoverComputersTaskParameters()` Get the discover computers task parameters.
    `GenerateReportTaskParameters` | `getGenerateReportTaskParameters()` Get the generate report task parameters.
    `java.lang.Integer` | `getID()` Get the task's identifier.
    `java.lang.Long` | `getLastRunTime()` Get the last run time for this task.
    `java.lang.String` | `getName()` Get the name to use when displaying this task.
    `java.lang.Long` | `getNextRunTime()` Get the next run time for this task.
    `RunScriptTaskParameters` | `getRunScriptTaskParameters()` Get the run script task parameters.
    `ScanForIntegrityChangesTaskParameters` | `getScanForIntegrityChangesTaskParameters()` Get the scan for integrity changes task parameters.
    `ScanForMalwareTaskParameters` | `getScanForMalwareTaskParameters()` Get the scan for malware task parameters.
    `ScanForOpenPortsTaskParameters` | `getScanForOpenPortsTaskParameters()` Get the scan for open ports task parameters.
    `ScanForRecommendationsTaskParameters` | `getScanForRecommendationsTaskParameters()` Get the scan for recommendations task parameters.
    `Schedule` | `getSchedule()` Get the schedule details for this task.
    `SendAlertSummaryTaskParameters` | `getSendAlertSummaryTaskParameters()` Get the send alert summary task parameters.
    `SendPolicyTaskParameters` | `getSendPolicyTaskParameters()` Get the send policy task parameters.
    `SynchronizeCloudAccountTaskParameters` | `getSynchronizeCloudAccountTaskParameters()` Get the synchronize cloud account task parameters.
    `SynchronizeDirectoryTaskParameters` | `getSynchronizeDirectoryTaskParameters()` Get the synchronize directory task parameters.
    `SynchronizeVCenterTaskParameters` | `getSynchronizeVCenterTaskParameters()` Get the synchronize vcenter task parameters.
    `java.lang.String` | `getTimeZone()` Get the task time zone.
    `ScheduledTask.Type` | `getType()` Get the task's type.
    `UpdateSuspiciousObjectsListTaskParameters` | `getUpdateSuspiciousObjectsListTaskParameters()` Get the update suspicious objects list task parameters.
    `java.lang.Boolean` | `isEnabled()` Get the enabled state for this task.
    `void` | `setBackupTaskParameters(BackupTaskParameters backupTaskParameters)` Set the backup task parameters.
    `void` | `setCheckForSecurityUpdatesTaskParameters(CheckForSecurityUpdatesTaskParameters checkForSecurityUpdatesTaskParameters)` Set the check for security updates task parameters.
    `void` | `setDiscoverComputersTaskParameters(DiscoverComputersTaskParameters discoverComputersTaskParameters)` Set the discover computers task parameters.
    `void` | `setEnabled(java.lang.Boolean enabled)` Set the enabled state for this task.
    `void` | `setGenerateReportTaskParameters(GenerateReportTaskParameters generateReportTaskParameters)` Set the generate report task parameters.
    `void` | `setID(java.lang.Integer id)` Set the task's identifier.
    `void` | `setLastRunTime(java.lang.Long lastRunTime)` Set the last run time for this task.
    `void` | `setName(java.lang.String name)` Set the name to use when displaying this task.
    `void` | `setNextRunTime(java.lang.Long nextRunTime)` Set the next run time for this task.
    `void` | `setRunScriptTaskParameters(RunScriptTaskParameters runScriptTaskParameters)` Set the run script task parameters.
    `void` | `setScanForIntegrityChangesTaskParameters(ScanForIntegrityChangesTaskParameters scanForIntegrityChangesTaskParameters)` Set the scan for integrity changes task parameters.
    `void` | `setScanForMalwareTaskParameters(ScanForMalwareTaskParameters scanForMalwareTaskParameters)` Set the scan for malware task parameters.
    `void` | `setScanForOpenPortsTaskParameters(ScanForOpenPortsTaskParameters scanForOpenPortsTaskParameters)` Set the scan for open ports task parameters.
    `void` | `setScanForRecommendationsTaskParameters(ScanForRecommendationsTaskParameters scanForRecommendationsTaskParameters)` Set the scan for recommendations task parameters.
    `void` | `setSchedule(Schedule schedule)` Set the schedule details for this task.
    `void` | `setSendAlertSummaryTaskParameters(SendAlertSummaryTaskParameters sendAlertSummaryTaskParameters)` Set the send alert summary task parameters.
    `void` | `setSendPolicyTaskParameters(SendPolicyTaskParameters sendPolicyTaskParameters)` Set the send policy task parameters.
    `void` | `setSynchronizeCloudAccountTaskParameters(SynchronizeCloudAccountTaskParameters synchronizeCloudAccountTaskParameters)` Set the synchronize cloud account task parameters.
    `void` | `setSynchronizeDirectoryTaskParameters(SynchronizeDirectoryTaskParameters synchronizeDirectoryTaskParameters)` Set the synchronize directory task parameters.
    `void` | `setSynchronizeVCenterTaskParameters(SynchronizeVCenterTaskParameters synchronizeVCenterTaskParameters)` Set the synchronize vcenter task parameters.
    `void` | `setTimeZone(java.lang.String timeZone)` Set the task time zone.
    `void` | `setTimeZone(java.util.TimeZone timeZone)` Set the task time zone.
    `void` | `setType(ScheduledTask.Type type)` Set the task's type.
    `void` | `setUpdateSuspiciousObjectsListTaskParameters(UpdateSuspiciousObjectsListTaskParameters updateSuspiciousObjectsListTaskParameters)` Set the update suspicious objects list task parameters.
    `java.lang.String` | `toString()`
    `ScheduledTask` | `withBackupTaskParameters(BackupTaskParameters backupTaskParameters)` Set the backup task parameters.
    `ScheduledTask` | `withCheckForSecurityUpdatesTaskParameters(CheckForSecurityUpdatesTaskParameters checkForSecurityUpdatesTaskParameters)` Set the check for security updates task parameters.
    `ScheduledTask` | `withDiscoverComputersTaskParameters(DiscoverComputersTaskParameters discoverComputersTaskParameters)` Set the discover computers task parameters.
    `ScheduledTask` | `withEnabled(java.lang.Boolean enabled)` Set the enabled state for this task.
    `ScheduledTask` | `withGenerateReportTaskParameters(GenerateReportTaskParameters generateReportTaskParameters)` Set the generate report task parameters.
    `ScheduledTask` | `withID(java.lang.Integer id)` Set the task's identifier.
    `ScheduledTask` | `withLastRunTime(java.util.Date lastRunTime)` Set the last run time for this task.
    `ScheduledTask` | `withLastRunTime(java.lang.Long lastRunTime)` Set the last run time for this task.
    `ScheduledTask` | `withName(java.lang.String name)` Set the name to use when displaying this task.
    `ScheduledTask` | `withNextRunTime(java.util.Date nextRunTime)` Set the next run time for this task.
    `ScheduledTask` | `withNextRunTime(java.lang.Long nextRunTime)` Set the next run time for this task.
    `ScheduledTask` | `withRunScriptTaskParameters(RunScriptTaskParameters runScriptTaskParameters)` Set the run script task parameters.
    `ScheduledTask` | `withScanForIntegrityChangesTaskParameters(ScanForIntegrityChangesTaskParameters scanForIntegrityChangesTaskParameters)` Set the scan for integrity changes task parameters.
    `ScheduledTask` | `withScanForMalwareTaskParameters(ScanForMalwareTaskParameters scanForMalwareTaskParameters)` Set the scan for malware task parameters.
    `ScheduledTask` | `withScanForOpenPortsTaskParameters(ScanForOpenPortsTaskParameters scanForOpenPortsTaskParameters)` Set the scan for open ports task parameters.
    `ScheduledTask` | `withScanForRecommendationsTaskParameters(ScanForRecommendationsTaskParameters scanForRecommendationsTaskParameters)` Set the scan for recommendations task parameters.
    `ScheduledTask` | `withSchedule(Schedule schedule)` Set the schedule details for this task.
    `ScheduledTask` | `withSendAlertSummaryTaskParameters(SendAlertSummaryTaskParameters sendAlertSummaryTaskParameters)` Set the send alert summary task parameters.
    `ScheduledTask` | `withSendPolicyTaskParameters(SendPolicyTaskParameters sendPolicyTaskParameters)` Set the send policy task parameters.
    `ScheduledTask` | `withSynchronizeCloudAccountTaskParameters(SynchronizeCloudAccountTaskParameters synchronizeCloudAccountTaskParameters)` Set the synchronize cloud account task parameters.
    `ScheduledTask` | `withSynchronizeDirectoryTaskParameters(SynchronizeDirectoryTaskParameters synchronizeDirectoryTaskParameters)` Set the synchronize directory task parameters.
    `ScheduledTask` | `withSynchronizeVCenterTaskParameters(SynchronizeVCenterTaskParameters synchronizeVCenterTaskParameters)` Set the synchronize vcenter task parameters.
    `ScheduledTask` | `withTimeZone(java.lang.String timeZone)` Set the task time zone.
    `ScheduledTask` | `withType(ScheduledTask.Type type)` Set the task's type.
    `ScheduledTask` | `withUpdateSuspiciousObjectsListTaskParameters(UpdateSuspiciousObjectsListTaskParameters updateSuspiciousObjectsListTaskParameters)` Set the update suspicious objects list task parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScheduledTask

          public ScheduledTask()

  - ### Method Detail

    - #### getID

          public java.lang.Integer getID()

      Get the task's identifier.
      Returns:
        the task's identifier.

    - #### setID

          public void setID(java.lang.Integer id)

      Set the task's identifier.
      Parameters:
        `id` - the task's identifier.

    - #### withID

          public ScheduledTask withID(java.lang.Integer id)

      Set the task's identifier.
      Parameters:
        `id` - the task's identifier.
      Returns:
        the updated ScheduledTask object.

    - #### getName

          public java.lang.String getName()

      Get the name to use when displaying this task.
      Returns:
        the name to use when displaying this task.

    - #### setName

          public void setName(java.lang.String name)

      Set the name to use when displaying this task.
      Parameters:
        `name` - the name to use when displaying this task.

    - #### withName

          public ScheduledTask withName(java.lang.String name)

      Set the name to use when displaying this task.
      Parameters:
        `name` - the name to use when displaying this task.
      Returns:
        the updated ScheduledTask object.

    - #### getType

          public ScheduledTask.Type getType()

      Get the task's type.
      Returns:
        the task's type.

    - #### setType

          public void setType(ScheduledTask.Type type)

      Set the task's type.
      Parameters:
        `type` - the task's type.

    - #### withType

          public ScheduledTask withType(ScheduledTask.Type type)

      Set the task's type.
      Parameters:
        `type` - the task's type.
      Returns:
        the updated ScheduledTask object.

    - #### getSchedule

          public Schedule getSchedule()

      Get the schedule details for this task.
      Returns:
        the schedule details for this task.

    - #### setSchedule

          public void setSchedule(Schedule schedule)

      Set the schedule details for this task.
      Parameters:
        `schedule` - the schedule details for this task.

    - #### withSchedule

          public ScheduledTask withSchedule(Schedule schedule)

      Set the schedule details for this task.
      Parameters:
        `schedule` - the schedule details for this task.
      Returns:
        the updated ScheduledTask object.

    - #### isEnabled

          public java.lang.Boolean isEnabled()

      Get the enabled state for this task.
      Returns:
        the enabled state for this task.

    - #### setEnabled

          public void setEnabled(java.lang.Boolean enabled)

      Set the enabled state for this task.
      Parameters:
        `enabled` - the enabled state for this task.

    - #### withEnabled

          public ScheduledTask withEnabled(java.lang.Boolean enabled)

      Set the enabled state for this task.
      Parameters:
        `enabled` - the enabled state for this task.
      Returns:
        the updated ScheduledTask object.

    - #### getTimeZone

          public java.lang.String getTimeZone()

      Get the task time zone.

      Deep Security will attempt to parse the time zone identifier you provide and translate it into an internal identifier. When you retrieve the time zone from Deep Security, you will get one of the IANA Time Zone Database identifiers.

      If you don't provide a time zone, the system will set the task time zone to the system local time zone. If you provide a time zone that Deep Security can't parse, the task time zone will be set to GMT.

      Returns:
        the task time zone.

    - #### setTimeZone

          public void setTimeZone(java.lang.String timeZone)

      Set the task time zone.

      Deep Security will attempt to parse the time zone identifier you provide and translate it into an internal identifier. When you retrieve the time zone from Deep Security, you will get one of the IANA Time Zone Database identifiers.

      If you don't provide a time zone, the system will set the task time zone to the system local time zone. If you provide a time zone that Deep Security can't parse, the task time zone will be set to GMT.

      Parameters:
        `timeZone` - the task time zone.

    - #### setTimeZone

          public void setTimeZone(java.util.TimeZone timeZone)

      Set the task time zone.

      Deep Security will attempt to parse the time zone identifier you provide and translate it into an internal identifier. When you retrieve the time zone from Deep Security, you will get one of the IANA Time Zone Database identifiers.

      If you don't provide a time zone, the system will set the task time zone to the system local time zone. If you provide a time zone that Deep Security can't parse, the task time zone will be set to GMT.

      Parameters:
        `timeZone` - the task time zone.

    - #### withTimeZone

          public ScheduledTask withTimeZone(java.lang.String timeZone)

      Set the task time zone.

      Deep Security will attempt to parse the time zone identifier you provide and translate it into an internal identifier. When you retrieve the time zone from Deep Security, you will get one of the IANA Time Zone Database identifiers.

      If you don't provide a time zone, the system will set the task time zone to the system local time zone. If you provide a time zone that Deep Security can't parse, the task time zone will be set to GMT.

      Parameters:
        `timeZone` - the task time zone.
      Returns:
        the updated Administrator object.

    - #### getLastRunTime

          public java.lang.Long getLastRunTime()

      Get the last run time for this task.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the last run time for this task.

    - #### setLastRunTime

          public void setLastRunTime(java.lang.Long lastRunTime)

      Set the last run time for this task.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `lastRunTime` - the last run time for this task.

    - #### withLastRunTime

          public ScheduledTask withLastRunTime(java.lang.Long lastRunTime)

      Set the last run time for this task.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `lastRunTime` - the last run time for this task.
      Returns:
        the updated ScheduledTask object.

    - #### withLastRunTime

          public ScheduledTask withLastRunTime(java.util.Date lastRunTime)

      Set the last run time for this task.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `lastRunTime` - the last run time for this task.
      Returns:
        the updated ScheduledTask object.

    - #### getNextRunTime

          public java.lang.Long getNextRunTime()

      Get the next run time for this task.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the next run time for this task.

    - #### setNextRunTime

          public void setNextRunTime(java.lang.Long nextRunTime)

      Set the next run time for this task.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `nextRunTime` - the next run time for this task.

    - #### withNextRunTime

          public ScheduledTask withNextRunTime(java.lang.Long nextRunTime)

      Set the next run time for this task.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `nextRunTime` - the next run time for this task.
      Returns:
        the updated ScheduledTask object.

    - #### withNextRunTime

          public ScheduledTask withNextRunTime(java.util.Date nextRunTime)

      Set the next run time for this task.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `nextRunTime` - the next run time for this task.
      Returns:
        the updated ScheduledTask object.

    - #### getBackupTaskParameters

          public BackupTaskParameters getBackupTaskParameters()

      Get the backup task parameters.
      Returns:
        the backup task parameters.

    - #### setBackupTaskParameters

          public void setBackupTaskParameters(BackupTaskParameters backupTaskParameters)

      Set the backup task parameters.
      Parameters:
        `backupTaskParameters` - the backup task parameters.

    - #### withBackupTaskParameters

          public ScheduledTask withBackupTaskParameters(BackupTaskParameters backupTaskParameters)

      Set the backup task parameters.
      Parameters:
        `backupTaskParameters` - the backup task parameters.
      Returns:
        the updated ScheduledTask object.

    - #### getScanForOpenPortsTaskParameters

          public ScanForOpenPortsTaskParameters getScanForOpenPortsTaskParameters()

      Get the scan for open ports task parameters.
      Returns:
        the scan for open ports task parameters.

    - #### setScanForOpenPortsTaskParameters

          public void setScanForOpenPortsTaskParameters(ScanForOpenPortsTaskParameters scanForOpenPortsTaskParameters)

      Set the scan for open ports task parameters.
      Parameters:
        `scanForOpenPortsTaskParameters` - the scan for open ports task parameters.

    - #### withScanForOpenPortsTaskParameters

          public ScheduledTask withScanForOpenPortsTaskParameters(ScanForOpenPortsTaskParameters scanForOpenPortsTaskParameters)

      Set the scan for open ports task parameters.
      Parameters:
        `scanForOpenPortsTaskParameters` - the scan for open ports task parameters.
      Returns:
        the updated ScheduledTask object.

    - #### getSendAlertSummaryTaskParameters

          public SendAlertSummaryTaskParameters getSendAlertSummaryTaskParameters()

      Get the send alert summary task parameters.
      Returns:
        the send alert summary task parameters.

    - #### setSendAlertSummaryTaskParameters

          public void setSendAlertSummaryTaskParameters(SendAlertSummaryTaskParameters sendAlertSummaryTaskParameters)

      Set the send alert summary task parameters.
      Parameters:
        `sendAlertSummaryTaskParameters` - the send alert summary task parameters.

    - #### withSendAlertSummaryTaskParameters

          public ScheduledTask withSendAlertSummaryTaskParameters(SendAlertSummaryTaskParameters sendAlertSummaryTaskParameters)

      Set the send alert summary task parameters.
      Parameters:
        `sendAlertSummaryTaskParameters` - the send alert summary task parameters.
      Returns:
        the updated ScheduledTask object.

    - #### getDiscoverComputersTaskParameters

          public DiscoverComputersTaskParameters getDiscoverComputersTaskParameters()

      Get the discover computers task parameters.
      Returns:
        the discover computers task parameters.

    - #### setDiscoverComputersTaskParameters

          public void setDiscoverComputersTaskParameters(DiscoverComputersTaskParameters discoverComputersTaskParameters)

      Set the discover computers task parameters.
      Parameters:
        `discoverComputersTaskParameters` - the discover computers task parameters.

    - #### withDiscoverComputersTaskParameters

          public ScheduledTask withDiscoverComputersTaskParameters(DiscoverComputersTaskParameters discoverComputersTaskParameters)

      Set the discover computers task parameters.
      Parameters:
        `discoverComputersTaskParameters` - the discover computers task parameters.
      Returns:
        the updated ScheduledTask object.

    - #### getRunScriptTaskParameters

          public RunScriptTaskParameters getRunScriptTaskParameters()

      Get the run script task parameters.
      Returns:
        the run script task parameters.

    - #### setRunScriptTaskParameters

          public void setRunScriptTaskParameters(RunScriptTaskParameters runScriptTaskParameters)

      Set the run script task parameters.
      Parameters:
        `runScriptTaskParameters` - the run script task parameters.

    - #### withRunScriptTaskParameters

          public ScheduledTask withRunScriptTaskParameters(RunScriptTaskParameters runScriptTaskParameters)

      Set the run script task parameters.
      Parameters:
        `runScriptTaskParameters` - the run script task parameters.
      Returns:
        the updated ScheduledTask object.

    - #### getSendPolicyTaskParameters

          public SendPolicyTaskParameters getSendPolicyTaskParameters()

      Get the send policy task parameters.
      Returns:
        the send policy task parameters.

    - #### setSendPolicyTaskParameters

          public void setSendPolicyTaskParameters(SendPolicyTaskParameters sendPolicyTaskParameters)

      Set the send policy task parameters.
      Parameters:
        `sendPolicyTaskParameters` - the send policy task parameters.

    - #### withSendPolicyTaskParameters

          public ScheduledTask withSendPolicyTaskParameters(SendPolicyTaskParameters sendPolicyTaskParameters)

      Set the send policy task parameters.
      Parameters:
        `sendPolicyTaskParameters` - the send policy task parameters.
      Returns:
        the updated ScheduledTask object.

    - #### getGenerateReportTaskParameters

          public GenerateReportTaskParameters getGenerateReportTaskParameters()

      Get the generate report task parameters.
      Returns:
        the generate report task parameters.

    - #### setGenerateReportTaskParameters

          public void setGenerateReportTaskParameters(GenerateReportTaskParameters generateReportTaskParameters)

      Set the generate report task parameters.
      Parameters:
        `generateReportTaskParameters` - the generate report task parameters.

    - #### withGenerateReportTaskParameters

          public ScheduledTask withGenerateReportTaskParameters(GenerateReportTaskParameters generateReportTaskParameters)

      Set the generate report task parameters.
      Parameters:
        `generateReportTaskParameters` - the generate report task parameters.
      Returns:
        the updated ScheduledTask object.

    - #### getSynchronizeDirectoryTaskParameters

          public SynchronizeDirectoryTaskParameters getSynchronizeDirectoryTaskParameters()

      Get the synchronize directory task parameters.
      Returns:
        the synchronize directory task parameters.

    - #### setSynchronizeDirectoryTaskParameters

          public void setSynchronizeDirectoryTaskParameters(SynchronizeDirectoryTaskParameters synchronizeDirectoryTaskParameters)

      Set the synchronize directory task parameters.
      Parameters:
        `synchronizeDirectoryTaskParameters` - the synchronize directory task parameters.

    - #### withSynchronizeDirectoryTaskParameters

          public ScheduledTask withSynchronizeDirectoryTaskParameters(SynchronizeDirectoryTaskParameters synchronizeDirectoryTaskParameters)

      Set the synchronize directory task parameters.
      Parameters:
        `synchronizeDirectoryTaskParameters` - the synchronize directory task parameters.
      Returns:
        the updated ScheduledTask object.

    - #### getScanForRecommendationsTaskParameters

          public ScanForRecommendationsTaskParameters getScanForRecommendationsTaskParameters()

      Get the scan for recommendations task parameters.
      Returns:
        the scan for recommendations task parameters.

    - #### setScanForRecommendationsTaskParameters

          public void setScanForRecommendationsTaskParameters(ScanForRecommendationsTaskParameters scanForRecommendationsTaskParameters)

      Set the scan for recommendations task parameters.
      Parameters:
        `scanForRecommendationsTaskParameters` - the scan for recommendations task parameters.

    - #### withScanForRecommendationsTaskParameters

          public ScheduledTask withScanForRecommendationsTaskParameters(ScanForRecommendationsTaskParameters scanForRecommendationsTaskParameters)

      Set the scan for recommendations task parameters.
      Parameters:
        `scanForRecommendationsTaskParameters` - the scan for recommendations task parameters.
      Returns:
        the updated ScheduledTask object.

    - #### getSynchronizeVCenterTaskParameters

          public SynchronizeVCenterTaskParameters getSynchronizeVCenterTaskParameters()

      Get the synchronize vcenter task parameters.
      Returns:
        the synchronize vcenter task parameters.

    - #### setSynchronizeVCenterTaskParameters

          public void setSynchronizeVCenterTaskParameters(SynchronizeVCenterTaskParameters synchronizeVCenterTaskParameters)

      Set the synchronize vcenter task parameters.
      Parameters:
        `synchronizeVCenterTaskParameters` - the synchronize vcenter task parameters.

    - #### withSynchronizeVCenterTaskParameters

          public ScheduledTask withSynchronizeVCenterTaskParameters(SynchronizeVCenterTaskParameters synchronizeVCenterTaskParameters)

      Set the synchronize vcenter task parameters.
      Parameters:
        `synchronizeVCenterTaskParameters` - the synchronize vcenter task parameters.
      Returns:
        the updated ScheduledTask object.

    - #### getScanForIntegrityChangesTaskParameters

          public ScanForIntegrityChangesTaskParameters getScanForIntegrityChangesTaskParameters()

      Get the scan for integrity changes task parameters.
      Returns:
        the scan for integrity changes task parameters.

    - #### setScanForIntegrityChangesTaskParameters

          public void setScanForIntegrityChangesTaskParameters(ScanForIntegrityChangesTaskParameters scanForIntegrityChangesTaskParameters)

      Set the scan for integrity changes task parameters.
      Parameters:
        `scanForIntegrityChangesTaskParameters` - the scan for integrity changes task parameters.

    - #### withScanForIntegrityChangesTaskParameters

          public ScheduledTask withScanForIntegrityChangesTaskParameters(ScanForIntegrityChangesTaskParameters scanForIntegrityChangesTaskParameters)

      Set the scan for integrity changes task parameters.
      Parameters:
        `scanForIntegrityChangesTaskParameters` - the scan for integrity changes task parameters.
      Returns:
        the updated ScheduledTask object.

    - #### getScanForMalwareTaskParameters

          public ScanForMalwareTaskParameters getScanForMalwareTaskParameters()

      Get the scan for malware task parameters.
      Returns:
        the scan for malware task parameters.

    - #### setScanForMalwareTaskParameters

          public void setScanForMalwareTaskParameters(ScanForMalwareTaskParameters scanForMalwareTaskParameters)

      Set the scan for malware task parameters.
      Parameters:
        `scanForMalwareTaskParameters` - the scan for malware task parameters.

    - #### withScanForMalwareTaskParameters

          public ScheduledTask withScanForMalwareTaskParameters(ScanForMalwareTaskParameters scanForMalwareTaskParameters)

      Set the scan for malware task parameters.
      Parameters:
        `scanForMalwareTaskParameters` - the scan for malware task parameters.
      Returns:
        the updated ScheduledTask object.

    - #### getCheckForSecurityUpdatesTaskParameters

          public CheckForSecurityUpdatesTaskParameters getCheckForSecurityUpdatesTaskParameters()

      Get the check for security updates task parameters.
      Returns:
        the check for security updates task parameters.

    - #### setCheckForSecurityUpdatesTaskParameters

          public void setCheckForSecurityUpdatesTaskParameters(CheckForSecurityUpdatesTaskParameters checkForSecurityUpdatesTaskParameters)

      Set the check for security updates task parameters.
      Parameters:
        `checkForSecurityUpdatesTaskParameters` - the check for security updates task parameters.

    - #### withCheckForSecurityUpdatesTaskParameters

          public ScheduledTask withCheckForSecurityUpdatesTaskParameters(CheckForSecurityUpdatesTaskParameters checkForSecurityUpdatesTaskParameters)

      Set the check for security updates task parameters.
      Parameters:
        `checkForSecurityUpdatesTaskParameters` - the check for security updates task parameters.
      Returns:
        the updated ScheduledTask object.

    - #### getSynchronizeCloudAccountTaskParameters

          public SynchronizeCloudAccountTaskParameters getSynchronizeCloudAccountTaskParameters()

      Get the synchronize cloud account task parameters.
      Returns:
        the synchronize cloud account task parameters.

    - #### setSynchronizeCloudAccountTaskParameters

          public void setSynchronizeCloudAccountTaskParameters(SynchronizeCloudAccountTaskParameters synchronizeCloudAccountTaskParameters)

      Set the synchronize cloud account task parameters.
      Parameters:
        `synchronizeCloudAccountTaskParameters` - the synchronize cloud account task parameters.

    - #### withSynchronizeCloudAccountTaskParameters

          public ScheduledTask withSynchronizeCloudAccountTaskParameters(SynchronizeCloudAccountTaskParameters synchronizeCloudAccountTaskParameters)

      Set the synchronize cloud account task parameters.
      Parameters:
        `synchronizeCloudAccountTaskParameters` - the synchronize cloud account task parameters.
      Returns:
        the updated ScheduledTask object.

    - #### getUpdateSuspiciousObjectsListTaskParameters

          public UpdateSuspiciousObjectsListTaskParameters getUpdateSuspiciousObjectsListTaskParameters()

      Get the update suspicious objects list task parameters.
      Returns:
        the update suspicious objects list task parameters.

    - #### setUpdateSuspiciousObjectsListTaskParameters

          public void setUpdateSuspiciousObjectsListTaskParameters(UpdateSuspiciousObjectsListTaskParameters updateSuspiciousObjectsListTaskParameters)

      Set the update suspicious objects list task parameters.
      Parameters:
        `updateSuspiciousObjectsListTaskParameters` - the update suspicious objects list task parameters.

    - #### withUpdateSuspiciousObjectsListTaskParameters

          public ScheduledTask withUpdateSuspiciousObjectsListTaskParameters(UpdateSuspiciousObjectsListTaskParameters updateSuspiciousObjectsListTaskParameters)

      Set the update suspicious objects list task parameters.
      Parameters:
        `updateSuspiciousObjectsListTaskParameters` - the update suspicious objects list task parameters.
      Returns:
        the updated ScheduledTask object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.